Skip to main content
POST
/
api
/
session
/
{sessionID}
/
prompt
Send message
curl --request POST \
  --url https://api.example.com/api/session/{sessionID}/prompt \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": {
    "text": "<string>",
    "files": [
      {
        "uri": "<string>",
        "name": "<string>",
        "description": "<string>"
      }
    ],
    "agents": [
      {
        "name": "<string>"
      }
    ]
  },
  "id": "<string>",
  "resume": true
}
'
import requests

url = "https://api.example.com/api/session/{sessionID}/prompt"

payload = {
"prompt": {
"text": "<string>",
"files": [
{
"uri": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"agents": [{ "name": "<string>" }]
},
"id": "<string>",
"resume": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: {
text: '<string>',
files: [{uri: '<string>', name: '<string>', description: '<string>'}],
agents: [{name: '<string>'}]
},
id: '<string>',
resume: true
})
};

fetch('https://api.example.com/api/session/{sessionID}/prompt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "admittedSeq": 1,
    "id": "<string>",
    "sessionID": "<string>",
    "prompt": {
      "text": "<string>",
      "files": [
        {
          "data": "<string>",
          "mime": "<string>",
          "source": {
            "type": "inline"
          },
          "name": "<string>",
          "description": "<string>",
          "mention": {
            "start": 123,
            "end": 123,
            "text": "<string>"
          }
        }
      ],
      "agents": [
        {
          "name": "<string>",
          "mention": {
            "start": 123,
            "end": 123,
            "text": "<string>"
          }
        }
      ]
    },
    "timeCreated": 123,
    "promotedSeq": 1
  }
}
{
"_tag": "InvalidRequestError",
"message": "<string>",
"kind": "<string>",
"field": "<string>"
}
{
"_tag": "UnauthorizedError",
"message": "<string>"
}
{
"_tag": "SessionNotFoundError",
"sessionID": "<string>",
"message": "<string>"
}
{
"_tag": "ConflictError",
"message": "<string>",
"resource": "<string>"
}

Path Parameters

sessionID
string
required
Pattern: ^ses

Body

application/json
prompt
object
required
id
string | null
Pattern: ^msg_
delivery
enum<string> | null
Available options:
steer,
queue
resume
boolean | null

Response

Success

data
object
required